## resiprocate 1.8.5

=== tfm/tfcommon/Makefile ===
CBUILD = ../../../sdk/source/build

include $(CBUILD)/Makefile.pre

PACKAGES += TFM TFCOMMON TFMLIBS RUTIL TURN XS SUA 

TARGET_LIBRARY = libtfcommon

SRC = \
	CppTestSelector.cxx \
	TurnEndPoint.cxx \
	TurnEvent.cxx \
	StunEndPoint.cxx \
	StunServer.cxx \
	EndPoint.cxx \
	TfmHelper.cxx \
	Expect.cxx \
	StunEvent.cxx \
	TfmDns.cxx \
	CPTestProgressListener.cxx \
	TestRtp.cxx \
	RtpEvent.cxx \
	CheckPrivacy.cxx

include $(CBUILD)/Makefile.post

## resiprocate 1.8.2

=== debian/changelog ===
resiprocate (1.8.2-1) unstable; urgency=low

  * Initial release (Closes: #412427)

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 17 May 2012 19:29:59 +0000

=== debian/control ===
Source: resiprocate
Section: libs
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~)
Homepage: http://www.resiprocate.org/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-voip/resiprocate.git
Vcs-Browser: http://git.debian.org/?p=pkg-voip/resiprocate.git;a=summary

Package: libresiprocate-1.8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate SIP stack - shared libraries
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides the core libraries: librutil (utilities),
 libresip (SIP stack/RFC compliant message parsing) and
 libdum (SIP Dialog Usage Manager, a state machine for SIP dialogs).

Package: libresiprocate-1.8-dev
Section: libdevel
Architecture: any
Depends: libresiprocate-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate SIP stack - development files
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.
 .
 This package provides header files needed for developing applications
 based on the core reSIProcate libraries.

Package: libresiprocate-turn-client-1.8
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate TURN client (reTurn) - shared libraries
 reTurn is the TURN component of the reSIProcate project.
 This package provides a shared library implementing the TURN
 protocol for NAT traversal, typically used in VoIP applications
 such as SIP and Jabber/XMPP.  It is a successor to STUN and
 is an important part of the Interactive Connectivity Establishment (ICE)
 protocol.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: libresiprocate-turn-client-1.8-dev
Section: libdevel
Architecture: any
Depends: libresiprocate-turn-client-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate TURN client (reTurn) - development files
 This package provides header files needed for developing applications
 based on the reSIProcate reTurn client library.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: repro
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: reSIProcate SIP stack - lightweight SIP proxy daemon
 repro is the SIP proxy developed as part of the reSIProcate project.
 It provides a high-quality, low maintenance solution for serving
 small and large IP telephony installations.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: resiprocate-turn-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: reSIProcate SIP stack - ICE/TURN server
 reTurn is the TURN server developed as part of the reSIProcate project.
 TURN (RFC 5766) provides a standardised solution for VoIP applications
 to find the most efficient way to route media streams when NAT and
 firewall devices may be present.
 .
 reTurn provides a high-quality, low maintenance solution for serving
 small and large IP telephony installations.  It has been used successfully
 with a variety of SIP and Jabber applications, including Lumicall,
 Jitsi, Empathy and Psi.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

Package: sipdialer
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reSIProcate SIP stack - click-to-call utility
 sipdialer is a click-to-call application that uses the SIP REFER
 method to force a SIP phone (for example, the phone on your desk)
 to dial another number.  It can be registered in GConf to handle
 clicks on sip:, sips: and tel: URIs in other applications and the
 web browser.
 .
 reSIProcate is a framework that aims to fully implement the SIP protocol
 in first class C++.  It is intended for use in other applications,
 such as the repro SIP proxy.

## resiprocate 1.8.5

=== debian/changelog ===
resiprocate (1.8.5-3ubuntu1) raring; urgency=low

  * debian/rules: Add -lcrypto to LDFLAGS to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 27 Mar 2013 17:10:25 -0400

resiprocate (1.8.5-3) unstable; urgency=low

  * log an error if TLS mappings file missing (Closes: #703644)

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 21 Mar 2013 20:12:33 +0100

resiprocate (1.8.5-2) unstable; urgency=low

  * Remove proxy-auth headers after validating them (Closes: #697341)
  * Discard repeated requests over reliable transport (Closes: #703232)

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 17 Mar 2013 12:30:47 +0100

resiprocate (1.8.5-1) unstable; urgency=low

  * New upstream release
  * Make sure repro hashed passwords are not world readable
  * Remove /var/lib/repro on purge (Closes: #675273)
  * Delay in postrm in case process hasn't finished stopping
  * Fix support for multiple ENUM carriers
  * Fix issue with help text causing crash
  * Fix clash between DIGEST and mutual TLS when used concurrently

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 08 Aug 2012 15:02:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: resiprocate
 Section: libs
 Priority: extra
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev
 Homepage: http://www.resiprocate.org/
 Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-voip/resiprocate.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/resiprocate.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
#CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

CPPFLAGS += -DRESIP_FIXED_POINT
CXXFLAGS += -fpermissive
LDFLAGS += -lcares -lcrypto

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-ssl \
		--with-mysql \
		--with-apps \
		--enable-ipv6 \
		--with-radius \
 	 	--with-c-ares \
		--with-b2bua

override_dh_auto_build:
	dh_auto_build --parallel

# don't actually run the test cases, they don't run well
# automatically and require network access
override_dh_auto_test:
	true

# force building in the pkgroot or it won't build
%:
	dh $@ --builddirectory=.

#install/repro::
#	cp debian/repro.config-sample debian/repro/etc/repro/repro.config

#install/resiprocate-turn-server::
#	cp debian/reTurnServer.config-sample debian/resiprocate-turn-server/etc/reTurnServer.config

## resiprocate 1.8.14

=== debian/changelog ===
resiprocate (1.8.14-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 28 Sep 2013 20:47:51 +0200

resiprocate (1.8.13-1) unstable; urgency=high

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 10 Sep 2013 20:01:27 +0200

resiprocate (1.8.12-4) unstable; urgency=high

  * Only required libsrtp-dev on Linux builds

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 06 Sep 2013 13:21:53 +0200

resiprocate (1.8.12-3) unstable; urgency=high

  * Use provides/replaces to allow upgrade to v1.9 (Closes: #717977)

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 06 Sep 2013 10:16:01 +0200

resiprocate (1.8.12-2) unstable; urgency=high

  * Suppress recon tests on non-Intel builds due to sipXtapi bug

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 06 Aug 2013 10:19:09 +0200

resiprocate (1.8.12-1) unstable; urgency=high

  * New upstream release
  * Upstream has fixed various issues, Debian patches dropped

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 05 Aug 2013 22:26:40 +0200

resiprocate (1.8.11-4) unstable; urgency=high

  * Fix for 64-bit IPv6 Tuple comparison issue

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 19 Jul 2013 12:36:53 +0200

resiprocate (1.8.11-3) unstable; urgency=low

  * Fix for big-endian build issues
  * Stop distributing libb2bua

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 18 Jul 2013 20:51:23 +0200

resiprocate (1.8.11-2) unstable; urgency=low

  * Disable librecon build on non-Linux architectures

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 18 Jul 2013 13:48:31 +0200

resiprocate (1.8.11-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 18 Jul 2013 11:10:22 +0200

resiprocate (1.8.10-5) unstable; urgency=low

  * Disable recon test cases

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 23 Jun 2013 14:10:53 +0200

resiprocate (1.8.10-4) unstable; urgency=low

  * Disable apps/clicktocall test case

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 23 Jun 2013 12:09:33 +0200

resiprocate (1.8.10-3) unstable; urgency=low

  * Remove DM-Upload-Allowed
  * Update for standards version 3.9.4
  * Enable test cases

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 22 Jun 2013 17:52:06 +0200

resiprocate (1.8.10-2) unstable; urgency=low

  * Disable MOHParkServer build

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 22 Jun 2013 13:12:54 +0200

resiprocate (1.8.10-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 22 Jun 2013 12:19:23 +0200

resiprocate (1.8.9-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 20 Jun 2013 23:45:01 +0200

resiprocate (1.8.8-2) unstable; urgency=low

  * Add libsrtp-dev to build-depends

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 08 May 2013 14:27:23 +0200

resiprocate (1.8.8-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 07 May 2013 22:38:49 +0200

resiprocate (1.8.7-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 05 Apr 2013 17:40:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: resiprocate
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev
+Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev [linux-any], libsrtp-dev [linux-any]
 Homepage: http://www.resiprocate.org/
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/pkg-voip/resiprocate.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/resiprocate.git;a=summary
 
@@ -28,6 +26,9 @@
 Section: libdevel
 Architecture: any
 Depends: libresiprocate-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libresiprocate-dev
+Conflicts: libresiprocate-dev
+Replaces: libresiprocate-dev
 Description: reSIProcate SIP stack - development files
  reSIProcate is a framework that aims to fully implement the SIP protocol
  in first class C++.  It is intended for use in other applications,
@@ -35,6 +36,39 @@
  .
  This package provides header files needed for developing applications
  based on the core reSIProcate libraries.
+
+Package: librecon-1.8
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: reSIProcate conversation manager - shared libraries
+ reSIProcate is a framework that aims to fully implement the SIP protocol
+ in first class C++.  It is intended for use in other applications,
+ such as the repro SIP proxy.
+ .
+ This package provides the conversation manager library, librecon,
+ implementing the core functionality of a back-to-back user agent (B2BUA),
+ session border controller (SBC) and conferencing server.
+ .
+ As reSIProcate has no built-in media framework, this package depends on the
+ media framework from the sipXtapi project.  However, it does not utilise
+ any other features of sipXtapi for the session control.  Future versions of
+ recon aim to support multiple media frameworks using an abstraction layer.
+ 
+Package: librecon-1.8-dev
+Section: libdevel
+Architecture: linux-any
+Depends: librecon-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-turn-client-1.8-dev, libsipxtapi-dev
+Provides: librecon-dev
+Conflicts: librecon-dev
+Replaces: librecon-dev
+Description: reSIProcate conversation manager - development files
+ reSIProcate is a framework that aims to fully implement the SIP protocol
+ in first class C++.  It is intended for use in other applications,
+ such as the repro SIP proxy.
+ .
+ This package provides header files needed for developing applications
+ based on librecon.
 
 Package: libresiprocate-turn-client-1.8
 Architecture: any
@@ -56,6 +90,9 @@
 Section: libdevel
 Architecture: any
 Depends: libresiprocate-turn-client-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: libresiprocate-turn-client-dev
+Conflicts: libresiprocate-turn-client-dev
+Replaces: libresiprocate-turn-client-dev
 Description: reSIProcate TURN client (reTurn) - development files
  This package provides header files needed for developing applications
  based on the reSIProcate reTurn client library.

=== debian/rules ===
--- 
+++ 
@@ -15,26 +15,52 @@
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
 CPPFLAGS += -DRESIP_FIXED_POINT
+# this is just temporary, reSIProcate 1.9.x should not need this:
+CPPFLAGS += -I/usr/include/sipxtapi
+# these are also temporary, should be implemented in reSIProcate's build system, for sipXtapi
+# with librecon:
+CPPFLAGS += -D__pingtel_on_posix__ -D_linux_ -D_REENTRANT -D_FILE_OFFS
+CPPFLAGS += -DDEFAULT_BRIDGE_MAX_IN_OUTPUTS=20
 CXXFLAGS += -fpermissive
-LDFLAGS += -lcares -lcrypto
+LDFLAGS += -lcares
 
-override_dh_auto_configure:
-	dh_auto_configure -- \
-		--with-ssl \
+CFG_ARGS := --with-ssl \
 		--with-mysql \
 		--with-apps \
 		--enable-ipv6 \
 		--with-radius \
- 	 	--with-c-ares \
-		--with-b2bua
+		--with-c-ares
+
+# on kfreebsd, sipxtapi is not available and recon can't be built
+# upstream hopes to eliminate the dependency on sipxtapi in a future release
+# so there is no attempt to port sipxtapi
+# on sparc, libsrtp is not available (fails with a bus error during test cases)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+CFG_ARGS += --with-recon
+endif
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(CFG_ARGS)
+ifneq ($(DEB_HOST_ARCH_CPU),amd64)
+ifneq ($(DEB_HOST_ARCH_CPU),i386)
+	echo "all:" > resip/recon/test/Makefile
+	echo "install:" >> resip/recon/test/Makefile
+	echo "check:" >> resip/recon/test/Makefile
+endif
+endif
+# FIXME - make all of the above build properly on all platforms
+# recon tests fail,
+# - requires audio hardware (fixed upstream after 1.8.11)
+# - pure virtual method issue in sipXtapi dependency on some
+#   platforms (see bug #718854)
 
 override_dh_auto_build:
 	dh_auto_build --parallel
 
 # don't actually run the test cases, they don't run well
 # automatically and require network access
-override_dh_auto_test:
-	true
+#override_dh_auto_test:
+#	true
 
 # force building in the pkgroot or it won't build
 %:

## resiprocate 1.9.6

=== resip/dum/doc/Makefile ===
#all: offans.pdf ClientInviteSession.pdf


#	dot -Tps $< > $@


#clean:
#	rm *.ps

#distclean: clean
#	rm *.pdf


##############################################################################
# 
# The Vovida Software License, Version 1.0 
# Copyright (c) 2000-2007 Vovida Networks, Inc.  All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The names "VOCAL", "Vovida Open Communication Application Library",
#    and "Vovida Open Communication Application Library (VOCAL)" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact vocal@vovida.org.
# 
# 4. Products derived from this software may not be called "VOCAL", nor
#    may "VOCAL" appear in their name, without prior written
#    permission of Vovida Networks, Inc.
# 
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND
# NON-INFRINGEMENT ARE DISCLAIMED.  IN NO EVENT SHALL VOVIDA
# NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT DAMAGES
# IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
# 
# ====================================================================
# 
# This software consists of voluntary contributions made by Vovida
# Networks, Inc. and many individuals on behalf of Vovida Networks,
# Inc.  For more information on Vovida Networks, Inc., please see
# <http://www.vovida.org/>.
# 
##############################################################################

=== debian/changelog ===
resiprocate (1.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 10 Apr 2014 10:04:36 +0200

resiprocate (1.9.5-2) unstable; urgency=high

  * Fix/suppress lintian issues

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 27 Mar 2014 10:12:28 +0100

resiprocate (1.9.5-1) unstable; urgency=high

  * New upstream release
  * Fix crash when not checking return value of getenv
  * Fix other potential misuse of return values from dynamic_cast
  * librecon now disables inband DTMF tones

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 26 Mar 2014 15:45:21 +0100

resiprocate (1.9.4-1) unstable; urgency=high

  * New upstream release
  * Fix crash in librecon when UA is not using
    a UserProfile derived from ConversationProfile (Closes: #742638)
  * Ensure consistent use of milliseconds in DTMF tone API.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 25 Mar 2014 21:34:22 +0100

resiprocate (1.9.3-1) unstable; urgency=high

  * New upstream release
  * Fix issue with reTurn-client failing to send media on
    sockets that do not involve a TURN relay (Closes: #742506)

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 24 Mar 2014 15:59:43 +0100

resiprocate (1.9.2-2) unstable; urgency=high

  * Add pkg-config to build-deps

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 09 Mar 2014 23:02:41 +0100

resiprocate (1.9.2-1) unstable; urgency=high

  * New upstream release
  * Fix issues found by ASan (Closes: #740232)
  * Invoke dh-autoreconf

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 09 Mar 2014 21:06:22 +0100

resiprocate (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Support for libasio-dev v1.10.1
  * Log an error if repro.config doesn't specify HttpAdminUserFile
    (when a legacy repro.config is present)
  * Eliminate log messages about trying to write a PEM file

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 20 Feb 2014 16:35:46 +0100

resiprocate (1.9.0-3) unstable; urgency=medium

  * Add range for libasio-dev version

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 11 Feb 2014 20:26:34 +0100

resiprocate (1.9.0-2) unstable; urgency=low

  * Add upper bound on libasio-dev version

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 11 Feb 2014 15:50:12 +0100

resiprocate (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 10 Feb 2014 20:28:29 +0100

resiprocate (1.9.0~rc2-1) unstable; urgency=low

  * New upstream release
  * Change from syslog to dedicated logging

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 27 Jan 2014 20:18:53 +0100

resiprocate (1.9.0~rc1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 21 Jan 2014 19:46:37 +0100

resiprocate (1.9.0~beta11-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 15 Jan 2014 12:41:18 +0100

resiprocate (1.9.0~beta10-3) unstable; urgency=low

  * Improve dhparam file handling

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 14 Jan 2014 16:25:45 +0100

resiprocate (1.9.0~beta10-2) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 13 Jan 2014 12:51:45 +0100

resiprocate (1.9.0~beta10-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 12 Jan 2014 11:46:45 +0100

resiprocate (1.9.0~beta9-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 12 Jan 2014 09:00:18 +0100

resiprocate (1.9.0~beta8-5) unstable; urgency=low

  * Ensure recon-dev package depends on srtp headers

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 29 Dec 2013 16:06:59 +0100

resiprocate (1.9.0~beta8-4) unstable; urgency=low

  * Ensure reTurn dev package depends on boost and asio headers
  * Add binary version restriction to dev header interdependencies
  * Fix conflicts/replaces specifications for dev packages

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 29 Dec 2013 09:33:55 +0100

resiprocate (1.9.0~beta8-3) unstable; urgency=low

  * Ensure dev packages depend on dependency headers

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 29 Dec 2013 08:47:06 +0100

resiprocate (1.9.0~beta8-2) unstable; urgency=low

  * Ensure dev packages depend on libresiprocate-1.9-dev

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 28 Dec 2013 23:21:43 +0100

resiprocate (1.9.0~beta8-1) unstable; urgency=low

  * New upstream release
  * Adds Python plugin support

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 19 Dec 2013 21:29:54 +0100

resiprocate (1.9.0~beta7-1) unstable; urgency=low

  * New upstream release
  * Enable DTLS support
  * Enable repro plugins and ship repro headers in dev package

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 09 Dec 2013 20:20:09 +0100

resiprocate (1.9.0~beta6-2) unstable; urgency=low

  * Workaround for kFreeBSD testTcp issue

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 04 Nov 2013 23:33:45 +0100

resiprocate (1.9.0~beta6-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Thu, 10 Oct 2013 14:44:31 +0200

resiprocate (1.9.0~beta5-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 09 Oct 2013 13:03:13 +0200

resiprocate (1.9.0~beta4-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 08 Oct 2013 15:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: extra
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev (>= 1.2.0), libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libradiusclient-ng-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev [linux-any], libsrtp-dev [linux-any]
+Uploaders: Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev, libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libfreeradius-client-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev (>= 3.3.0~test15) [linux-any], libsrtp-dev [linux-any], libcajun-dev, python-cxx-dev, dh-autoreconf, pkg-config
 Homepage: http://www.resiprocate.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/pkg-voip/resiprocate.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/resiprocate.git;a=summary
 
-Package: libresiprocate-1.8
+Package: libresiprocate-1.9
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -22,13 +22,13 @@
  libresip (SIP stack/RFC compliant message parsing) and
  libdum (SIP Dialog Usage Manager, a state machine for SIP dialogs).
 
-Package: libresiprocate-1.8-dev
+Package: libresiprocate-1.9-dev
 Section: libdevel
 Architecture: any
-Depends: libresiprocate-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libc-ares-dev, libssl-dev, libfreeradius-client-dev
 Provides: libresiprocate-dev
-Conflicts: libresiprocate-dev
-Replaces: libresiprocate-dev
+Conflicts: libresiprocate-dev, libresiprocate-1.8-dev
+Replaces: libresiprocate-dev, libresiprocate-1.8-dev
 Description: reSIProcate SIP stack - development files
  reSIProcate is a framework that aims to fully implement the SIP protocol
  in first class C++.  It is intended for use in other applications,
@@ -37,10 +37,10 @@
  This package provides header files needed for developing applications
  based on the core reSIProcate libraries.
 
-Package: librecon-1.8
+Package: librecon-1.9
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsipxtapi (>= 3.3.0~test15)
 Description: reSIProcate conversation manager - shared libraries
  reSIProcate is a framework that aims to fully implement the SIP protocol
  in first class C++.  It is intended for use in other applications,
@@ -55,13 +55,13 @@
  any other features of sipXtapi for the session control.  Future versions of
  recon aim to support multiple media frameworks using an abstraction layer.
  
-Package: librecon-1.8-dev
+Package: librecon-1.9-dev
 Section: libdevel
+Depends: librecon-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.9-dev (= ${binary:Version}), libresiprocate-turn-client-1.9-dev (= ${binary:Version}), libsipxtapi-dev, libsrtp-dev
 Architecture: linux-any
-Depends: librecon-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-turn-client-1.8-dev, libsipxtapi-dev
 Provides: librecon-dev
-Conflicts: librecon-dev
-Replaces: librecon-dev
+Conflicts: librecon-dev, librecon-1.8-dev
+Replaces: librecon-dev, librecon-1.8-dev
 Description: reSIProcate conversation manager - development files
  reSIProcate is a framework that aims to fully implement the SIP protocol
  in first class C++.  It is intended for use in other applications,
@@ -70,10 +70,10 @@
  This package provides header files needed for developing applications
  based on librecon.
 
-Package: libresiprocate-turn-client-1.8
+Package: libresiprocate-turn-client-1.9
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: reSIProcate TURN client (reTurn) - shared libraries
  reTurn is the TURN component of the reSIProcate project.
  This package provides a shared library implementing the TURN
@@ -86,13 +86,13 @@
  in first class C++.  It is intended for use in other applications,
  such as the repro SIP proxy.
 
-Package: libresiprocate-turn-client-1.8-dev
+Package: libresiprocate-turn-client-1.9-dev
 Section: libdevel
 Architecture: any
-Depends: libresiprocate-turn-client-1.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-turn-client-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.9-dev (= ${binary:Version}), libasio-dev (>= 1.2.0), libboost-dev
 Provides: libresiprocate-turn-client-dev
-Conflicts: libresiprocate-turn-client-dev
-Replaces: libresiprocate-turn-client-dev
+Conflicts: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
+Replaces: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
 Description: reSIProcate TURN client (reTurn) - development files
  This package provides header files needed for developing applications
  based on the reSIProcate reTurn client library.
@@ -105,7 +105,10 @@
 Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
+Recommends: apache2-utils, openssl, stun-server | turn-server
+Suggests: jscommunicator-web-phone
+Provides: sip-router
 Description: reSIProcate SIP stack - lightweight SIP proxy daemon
  repro is the SIP proxy developed as part of the reSIProcate project.
  It provides a high-quality, low maintenance solution for serving
@@ -118,7 +121,11 @@
 Package: resiprocate-turn-server
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
+Recommends: openssl
+Suggests: sip-router, xmpp-server, jscommunicator-web-phone
+Provides: stun-server, turn-server
 Description: reSIProcate SIP stack - ICE/TURN server
  reTurn is the TURN server developed as part of the reSIProcate project.
  TURN (RFC 5766) provides a standardised solution for VoIP applications
@@ -137,7 +144,7 @@
 Package: sipdialer
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: reSIProcate SIP stack - click-to-call utility
  sipdialer is a click-to-call application that uses the SIP REFER
  method to force a SIP phone (for example, the phone on your desk)

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
-CPPFLAGS += -DRESIP_FIXED_POINT
+#CPPFLAGS += -DRESIP_FIXED_POINT
 # this is just temporary, reSIProcate 1.9.x should not need this:
 CPPFLAGS += -I/usr/include/sipxtapi
 # these are also temporary, should be implemented in reSIProcate's build system, for sipXtapi
@@ -25,10 +25,15 @@
 LDFLAGS += -lcares
 
 CFG_ARGS := --with-ssl \
+		--with-popt \
 		--with-mysql \
 		--with-apps \
 		--enable-ipv6 \
-		--with-radius \
+		--enable-dtls \
+		--with-freeradius \
+		--with-repro \
+		--enable-repro-plugins \
+		--with-python \
 		--with-c-ares
 
 # on kfreebsd, sipxtapi is not available and recon can't be built
@@ -39,32 +44,26 @@
 CFG_ARGS += --with-recon
 endif
 
+PYVERSION=2.7
+
 override_dh_auto_configure:
-	dh_auto_configure -- $(CFG_ARGS)
-ifneq ($(DEB_HOST_ARCH_CPU),amd64)
-ifneq ($(DEB_HOST_ARCH_CPU),i386)
-	echo "all:" > resip/recon/test/Makefile
-	echo "install:" >> resip/recon/test/Makefile
-	echo "check:" >> resip/recon/test/Makefile
+	dh_auto_configure -- $(CFG_ARGS) DEPS_PYTHON_CFLAGS="`/usr/bin/python$(PYVERSION)-config --cflags`" DEPS_PYTHON_LIBS="`/usr/bin/python$(PYVERSION)-config --ldflags`" PYCXX_SRCDIR=/usr/share/python$(PYVERSION)/CXX/Python2
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+# this is due to a problem with the test case rather than the stack itself
+# upstream is investigating
+	sed -i -e 's/assert.!failedToReceiveGoodMessage);//' resip/stack/test/testTcp.cxx
 endif
-endif
-# FIXME - make all of the above build properly on all platforms
-# recon tests fail,
-# - requires audio hardware (fixed upstream after 1.8.11)
-# - pure virtual method issue in sipXtapi dependency on some
-#   platforms (see bug #718854)
 
 override_dh_auto_build:
 	dh_auto_build --parallel
 
-# don't actually run the test cases, they don't run well
-# automatically and require network access
+# let the test cases run
 #override_dh_auto_test:
 #	true
 
 # force building in the pkgroot or it won't build
 %:
-	dh $@ --builddirectory=.
+	dh $@ --with autoreconf --builddirectory=.
 
 #install/repro::
 #	cp debian/repro.config-sample debian/repro/etc/repro/repro.config

## resiprocate 1.9.7

=== debian/changelog ===
resiprocate (1:1.9.7-4~ubuntu14.04.1) trusty; urgency=medium

  * Rebuild for Ubuntu 14.04 LTS. (LP: #1420956)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 31 Mar 2015 09:21:16 -0400

resiprocate (1:1.9.7-4) unstable; urgency=medium

  * Use SSLv23_method instead of TLSv1_method and
    avoid TLS 1.2 when acting as client. (Closes: #772632)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 09 Dec 2014 11:34:48 +0100

resiprocate (1.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 31 May 2014 12:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: resiprocate
 Section: libs
 Priority: extra
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev, libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libfreeradius-client-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev (>= 3.3.0~test15) [linux-any], libsrtp-dev [linux-any], libcajun-dev, python-cxx-dev, dh-autoreconf, pkg-config
 Homepage: http://www.resiprocate.org/

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 # with librecon:
 CPPFLAGS += -D__pingtel_on_posix__ -D_linux_ -D_REENTRANT -D_FILE_OFFS
 CPPFLAGS += -DDEFAULT_BRIDGE_MAX_IN_OUTPUTS=20
+CPPFLAGS += -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS
 CXXFLAGS += -fpermissive
 LDFLAGS += -lcares

## resiprocate 1.10.0

=== debian/changelog ===
resiprocate (1:1.10.0-1~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 08 Oct 2015 21:22:16 +0200

resiprocate (1:1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 02 Oct 2015 11:23:29 +0200

resiprocate (1:1.10.0~beta2-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 18 Sep 2015 12:20:45 +0200

resiprocate (1:1.10.0~beta1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 18 Sep 2015 09:14:23 +0200

resiprocate (1:1.10.0~alpha4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 17 Sep 2015 22:41:47 +0200

resiprocate (1:1.10.0~alpha3-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 17 Sep 2015 21:38:15 +0200

resiprocate (1:1.10.0~alpha2-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 14:44:39 +0200

resiprocate (1:1.10.0~alpha1-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 04 Jul 2015 19:16:32 +0200

resiprocate (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Improve administrative control over TLS. (Closes: #772480)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 07 Dec 2014 18:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: resiprocate
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev, libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libfreeradius-client-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev (>= 3.3.0~test15) [linux-any], libsrtp-dev [linux-any], libcajun-dev, python-cxx-dev, dh-autoreconf, pkg-config
+Build-Depends: debhelper (>= 9.0.0), gperf, libasio-dev, libboost-dev, libc-ares-dev (>= 1.6.0), libdb++-dev, libpopt-dev, libssl-dev (>= 0.9.8), perl, libmysqlclient-dev, libpq-dev, libfreeradius-client-dev, libcppunit-dev, autotools-dev, libpcre3-dev, dpkg-dev (>= 1.16.1~), libsipxtapi-dev (>= 3.3.0~test15) [linux-any], libsrtp-dev [linux-any], libcajun-dev, python-cxx-dev, dh-autoreconf, pkg-config
 Homepage: http://www.resiprocate.org/
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/pkg-voip/resiprocate.git
-Vcs-Browser: http://git.debian.org/?p=pkg-voip/resiprocate.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-voip/resiprocate.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/resiprocate.git
 
-Package: libresiprocate-1.9
+Package: libresiprocate-1.10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,10 +22,10 @@
  libresip (SIP stack/RFC compliant message parsing) and
  libdum (SIP Dialog Usage Manager, a state machine for SIP dialogs).
 
-Package: libresiprocate-1.9-dev
+Package: libresiprocate-1.10-dev
 Section: libdevel
 Architecture: any
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libc-ares-dev, libssl-dev, libfreeradius-client-dev
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libc-ares-dev, libssl-dev, libfreeradius-client-dev
 Provides: libresiprocate-dev
 Conflicts: libresiprocate-dev, libresiprocate-1.8-dev
 Replaces: libresiprocate-dev, libresiprocate-1.8-dev
@@ -38,10 +37,10 @@
  This package provides header files needed for developing applications
  based on the core reSIProcate libraries.
 
-Package: librecon-1.9
+Package: librecon-1.10
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsipxtapi (>= 3.3.0~test15)
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsipxtapi (>= 3.3.0~test15)
 Description: reSIProcate conversation manager - shared libraries
  reSIProcate is a framework that aims to fully implement the SIP protocol
  in first class C++.  It is intended for use in other applications,
@@ -56,9 +55,9 @@
  any other features of sipXtapi for the session control.  Future versions of
  recon aim to support multiple media frameworks using an abstraction layer.
  
-Package: librecon-1.9-dev
+Package: librecon-1.10-dev
 Section: libdevel
-Depends: librecon-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.9-dev (= ${binary:Version}), libresiprocate-turn-client-1.9-dev (= ${binary:Version}), libsipxtapi-dev, libsrtp-dev
+Depends: librecon-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.10-dev (= ${binary:Version}), libresiprocate-turn-client-1.10-dev (= ${binary:Version}), libsipxtapi-dev, libsrtp-dev
 Architecture: linux-any
 Provides: librecon-dev
 Conflicts: librecon-dev, librecon-1.8-dev
@@ -71,10 +70,10 @@
  This package provides header files needed for developing applications
  based on librecon.
 
-Package: libresiprocate-turn-client-1.9
+Package: libresiprocate-turn-client-1.10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: reSIProcate TURN client (reTurn) - shared libraries
  reTurn is the TURN component of the reSIProcate project.
  This package provides a shared library implementing the TURN
@@ -87,10 +86,10 @@
  in first class C++.  It is intended for use in other applications,
  such as the repro SIP proxy.
 
-Package: libresiprocate-turn-client-1.9-dev
+Package: libresiprocate-turn-client-1.10-dev
 Section: libdevel
 Architecture: any
-Depends: libresiprocate-turn-client-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.9-dev (= ${binary:Version}), libasio-dev (>= 1.2.0), libboost-dev
+Depends: libresiprocate-turn-client-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libresiprocate-1.10-dev (= ${binary:Version}), libasio-dev (>= 1.2.0), libboost-dev
 Provides: libresiprocate-turn-client-dev
 Conflicts: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
 Replaces: libresiprocate-turn-client-dev, libresiprocate-turn-client-1.8-dev
@@ -106,8 +105,8 @@
 Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
-Recommends: apache2-utils, openssl, stun-server | turn-server
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser, openssl
+Recommends: apache2-utils, turn-server | stun-server
 Suggests: jscommunicator-web-phone
 Provides: sip-router
 Description: reSIProcate SIP stack - lightweight SIP proxy daemon
@@ -123,8 +122,7 @@
 Section: net
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
-Recommends: openssl
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser, openssl
 Suggests: sip-router, xmpp-server, jscommunicator-web-phone
 Provides: stun-server, turn-server
 Description: reSIProcate SIP stack - ICE/TURN server
@@ -142,10 +140,33 @@
  in first class C++.  It is intended for use in other applications,
  such as the repro SIP proxy.
 
+Package: resiprocate-turn-server-psql
+Section: net
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, resiprocate-turn-server, python, python-psycopg2
+Description: reSIProcate SIP stack - ICE/TURN server
+ reTurn is the TURN server developed as part of the reSIProcate project.
+ TURN (RFC 5766) provides a standardised solution for VoIP applications
+ to find the most efficient way to route media streams when NAT and
+ firewall devices may be present.
+ .
+ reTurn provides a high-quality, low maintenance solution for serving
+ small and large IP telephony installations.  It has been used successfully
+ with a variety of SIP and Jabber applications, including Lumicall,
+ Jitsi, Empathy and Psi.
+ .
+ reSIProcate is a framework that aims to fully implement the SIP protocol
+ in first class C++.  It is intended for use in other applications,
+ such as the repro SIP proxy.
+ .
+ This package provides a Python script to synchronize the reTurn
+ users.txt file from a PostgreSQL table.
+
 Package: sipdialer
 Section: net
 Architecture: any
-Depends: libresiprocate-1.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libresiprocate-1.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: reSIProcate SIP stack - click-to-call utility
  sipdialer is a click-to-call application that uses the SIP REFER
  method to force a SIP phone (for example, the phone on your desk)

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,13 @@
 CPPFLAGS += -DDEFAULT_BRIDGE_MAX_IN_OUTPUTS=20
 CPPFLAGS += -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS
 CXXFLAGS += -fpermissive
+CXXFLAGS += -I/usr/include/postgresql
 LDFLAGS += -lcares
 
 CFG_ARGS := --with-ssl \
 		--with-popt \
 		--with-mysql \
+		--with-postgresql \
 		--with-apps \
 		--enable-ipv6 \
 		--enable-dtls \
@@ -35,7 +37,8 @@
 		--with-repro \
 		--enable-repro-plugins \
 		--with-python \
-		--with-c-ares
+		--with-c-ares \
+		--enable-assert-syslog
 
 # on kfreebsd, sipxtapi is not available and recon can't be built
 # upstream hopes to eliminate the dependency on sipxtapi in a future release

=== debian/watch ===
version=3
http://www.resiprocate.org/files/pub/reSIProcate/releases/resiprocate-(\d.+)\.tar\.gz
